Name: codeblocks
Version: 8.02
Release: alt3

Summary: Code::Blocks is open source, cross platform free C++ IDE
Summary(ru_RU.UTF-8): Code::Blocks это кросс-платформенная свободная среда разработки для C++ с открытым исходным кодом

License: GPL
Group: Development/C++
Url: http://www.codeblocks.org
Packager: Denis Kirienko <dk@altlinux.ru>

Source0: http://download.berlios.de/codeblocks/codeblocks-%version-src.tar.bz2
Source1: %name-%version-alt-icons.tar.bz2
Source2: http://qtworkbench.googlecode.com/files/QtWorkbench-src-0.5.1.tar.gz
Source3: %name.desktop

BuildPreReq: wxGTK-devel gcc-c++ libgtk+2-devel zip sed grep

%set_verify_elf_skiplist %_datadir/%name/*

%description
Code::Blocks is a free C++ IDE built specifically to meet the most demanding needs of its users. It was designed, right from the start, to be extensible and configurable. Built around a plugin framework, Code::Blocks can be extended with plugin DLLs. It includes a plugin wizard so you can compile your own plugins!

%description -l ru_RU.UTF-8
Code::Blocks это свободная IDE для C++, которая создана для удовлетворения множества требований её пользователей. Она разрабатывалась с самого начала, как расширяемая и легко настраиваемая. Собранная с поддержкой плагинов Code::Blocks может быть расширена с помощью подключаемых библиотек.

%package contrib
Summary: Code::Blocks contrib plugins
Summary(ru_RU.UTF-8): Дополнительные плагины для Code::Blocks
Group: Development/C++
Requires: codeblocks = %{version}-%{release}

%description contrib
Additional Code::Blocks plugins.

%description contrib -l ru_RU.UTF-8
Набор дополнительных плагинов для среды разработки Code::Blocks.

%package devel
Summary: Code::Blocks SDK
Group: Development/C++
Requires: codeblocks = %{version}-%{release}

%description devel
Code::Blocks SDK to develop your own plugins.

%description devel -l ru_RU.UTF-8
SDK для создания собственных плагинов к среде разработки Code::Blocks.

%define pkgdata %_datadir/%name

%prep
%setup -q -b 1
%setup -D -T -a 2
cp %SOURCE3 src/setup/mime/

# Adding QtWorkbench plugin
patch --unified --strip=0 --forward --fuzz=3 --input=qtworkbench.patch

# Turn off debug
sed -i 's|AM_CFLAGS = -Wall -g -DDEPSLIB_UNIX|AM_CFLAGS = -DDEPSLIB_UNIX|' src/plugins/compilergcc/depslib/src/Makefile.am

%build
./bootstrap
%configure --with-contrib-plugins=all
%make_build --silent --no-print-directory

%install
%make_install --silent --no-print-directory DESTDIR=%buildroot install
install -m 644 -D alt-icons/16x16/%name.png %buildroot%_miconsdir/%name.png
install -m 644 -D alt-icons/32x32/%name.png %buildroot%_niconsdir/%name.png
install -m 644 -D alt-icons/48x48/%name.png %buildroot%_liconsdir/%name.png
install -m 644 -D alt-icons/64x64/%name.png %buildroot%_iconsdir/hicolor/64x64/apps/%name.png

%files

%doc README COPYING AUTHORS BUGS COMPILERS TODO NEWS ChangeLog
%_bindir/%name
%_bindir/cb_console_runner
%_libdir/libcodeblocks.so.*
%_datadir/applications/%name.desktop
%_datadir/mime/packages/%name.xml
%_mandir/man?/*
%dir %pkgdata
%{pkgdata}/astyle.zip
%{pkgdata}/autosave.zip
%{pkgdata}/classwizard.zip
%{pkgdata}/codecompletion.zip
%{pkgdata}/compiler.zip
%{pkgdata}/debugger.zip
%{pkgdata}/defaultmimehandler.zip
%{pkgdata}/manager_resources.zip
%{pkgdata}/resources.zip
%{pkgdata}/scriptedwizard.zip
%{pkgdata}/start_here.zip
%{pkgdata}/tips.txt
%{pkgdata}/todo.zip
%{pkgdata}/icons
%dir %{pkgdata}/images
%{pkgdata}/images/*.png
%{pkgdata}/images/16x16
%{pkgdata}/images/codecompletion
%{pkgdata}/images/settings
%{pkgdata}/lexers
%dir %{pkgdata}/plugins
%{pkgdata}/plugins/libastyle.*
%{pkgdata}/plugins/libautosave.*
%{pkgdata}/plugins/libclasswizard.*
%{pkgdata}/plugins/libcodecompletion.*
%{pkgdata}/plugins/libcompiler.*
%{pkgdata}/plugins/libdebugger.*
%{pkgdata}/plugins/libdefaultmimehandler.*
%{pkgdata}/plugins/libscriptedwizard.*
%{pkgdata}/plugins/libtodo.*
%{pkgdata}/scripts
%{pkgdata}/templates
%_iconsdir/*/*/*/*
%_pixmapsdir/*

%files contrib
%_bindir/cb_share_config
%_bindir/codesnippets
%_libdir/libwxsmithlib.so.*
%{pkgdata}/AutoVersioning.zip
%{pkgdata}/BrowseTracker.zip
%{pkgdata}/byogames.zip
%{pkgdata}/cb_koders.zip
%{pkgdata}/codesnippets.zip
%{pkgdata}/codestat.zip
%{pkgdata}/dragscroll.zip
%{pkgdata}/envvars.zip
%{pkgdata}/exporter.zip
%{pkgdata}/help_plugin.zip
%{pkgdata}/keybinder.zip
%{pkgdata}/lib_finder.zip
%{pkgdata}/openfileslist.zip
%{pkgdata}/projectsimporter.zip
%{pkgdata}/Profiler.zip
%{pkgdata}/QtWorkbench.zip
%{pkgdata}/RegExTestbed.zip
%{pkgdata}/SymTab.zip
%{pkgdata}/ThreadSearch.zip
%{pkgdata}/wxsmith.zip
%{pkgdata}/wxsmithcontribitems.zip
%{pkgdata}/images/wxsmith
%{pkgdata}/images/codesnippets
%{pkgdata}/images/ThreadSearch
%{pkgdata}/lib_finder
%{pkgdata}/plugins/libAutoVersioning.*
%{pkgdata}/plugins/libBrowseTracker.*
%{pkgdata}/plugins/libbyogames.*
%{pkgdata}/plugins/libcb_koders.*
%{pkgdata}/plugins/libcodesnippets.*
%{pkgdata}/plugins/libcodestat.*
%{pkgdata}/plugins/libdragscroll.*
%{pkgdata}/plugins/libenvvars.*
%{pkgdata}/plugins/libexporter.*
%{pkgdata}/plugins/libhelp_plugin.*
%{pkgdata}/plugins/libkeybinder.*
%{pkgdata}/plugins/liblib_finder.*
%{pkgdata}/plugins/libopenfileslist.*
%{pkgdata}/plugins/libprojectsimporter.*
%{pkgdata}/plugins/libProfiler.*
%{pkgdata}/plugins/libQtWorkbench.*
%{pkgdata}/plugins/libRegExTestbed.*
%{pkgdata}/plugins/libSymTab.*
%{pkgdata}/plugins/libThreadSearch.*
%{pkgdata}/plugins/libwxsmith.*
%{pkgdata}/plugins/libwxsmithcontribitems.*

%files devel
%_libdir/libcodeblocks.so
%_libdir/libwxsmithlib.so
%_includedir/%name
%_pkgconfigdir/%name.pc

%changelog
* Sat Nov 29 2008 Denis Kirienko <dk@altlinux.ru> 8.02-alt3
- Really updated codeblocks.desktop

* Mon Nov 24 2008 Denis Kirienko <dk@altlinux.ru> 8.02-alt2
- Spec cleanup
- Updated codeblocks.desktop

* Sun Mar 02 2008 Denis Kirienko <dk@altlinux.ru> 8.02-alt1
- Stable release 8.02
- Added BrowseTracker plugin

* Sun Jan 13 2008 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn4807
- New SVN snapshot
- Added ThreadSearch plugin

* Sat Dec 22 2007 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn4742
- New SVN snapshot
- Added openfilelist plugin
- Added AutoVersioning plugin

* Sat Sep 08 2007 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn4439
- New SVN snapshot
- Added QtWorkbench plugin

* Sun Aug 26 2007 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn4405
- New SVN snapshot

* Sat Aug 04 2007 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn4346
- New SVN snapshot
- Added projectsimporter plugin

* Sat Jun 30 2007 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn4193
- New SVN snapshot

* Sun Jun 17 2007 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn4101
- New SVN snapshot
- Removed wxRE_ADVANCED patch (no more needed)

* Tue May 01 2007 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn3910
- New SVN snapshot
- Updated patches
- Added patch that fixes undefined symbol wxRE_ADVANCED error during build
- Added libwxsmith as a contrib package

* Wed Jan 10 2007 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn3450
- New SVN snapshot
- Automatical creation of revision.m4 file before configure
- Added --enable-contrib option to the configure
- Splitted into three separate packages: codeblocks, codeblocks-contrib, codeblocks-devel
- Added set of icons according to requirements of new iconpaths policy

* Fri Nov 24 2006 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn3258
- New SVN snapshot

* Fri Oct 06 2006 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn3025
- New SVN snapshot 

* Sat Sep 14 2006 Denis Kirienko <dk@altlinux.ru> 1.0-alt0.svn2975
- New maintainer
- New SVN snapshot
- Fixed Icon parameter in the desktop file
- Fixed Qt4 application wizard

* Wed Jan 04 2006 php-coder <php-coder@altlinux.ru> 1.0-alt0.svn1652
- Initial build for ALT Linux Sisyphus
- Added patch which fixes some warnings from compiler
